      character*1 function atmchk (total, count)                        ATMC001
c     set 'present' fields to all none or some as appropriate           ATMC002
c                                                                       ATMC003
WINNT - make routine reusable -                                         ATMC004
c      include 'brkcln.par'                                             ATMC005
WINNT - end                                                             ATMC006
c                                                                       ATMC007
      integer  total, count                                             ATMC008
c                                                                       ATMC009
      if (total .eq. 0) then                                            ATMC010
          atmchk=' '                                                    ATMC011
      else                                                              ATMC012
         if (count .eq. 0) then                                         ATMC013
            atmchk = 'N'                                                ATMC014
         else                                                           ATMC015
            if (count .ge. total) then                                  ATMC016
               atmchk = 'A'                                             ATMC017
            else                                                        ATMC018
               atmchk = 'S'                                             ATMC019
            end if                                                      ATMC020
         end if                                                         ATMC021
      end if                                                            ATMC022
      end                                                               ATMC023
